Package org.eclipse.lemminx.services.snippets

## Class XMLSnippetRegistryLoader

- java.lang.Object
- - org.eclipse.lemminx.services.snippets.XMLSnippetRegistryLoader

All Implemented Interfaces:
  `ISnippetRegistryLoader`

    public class XMLSnippetRegistryLoader
    extends Object
    implements ISnippetRegistryLoader

Load default XML snippets.

### Constructor Summary

Constructors
`XMLSnippetRegistryLoader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `load​(SnippetRegistry registry)` Register snippets in the given snippet registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.commons.snippets.ISnippetRegistryLoader

`getLanguageId`

### Constructor Detail

#### XMLSnippetRegistryLoader

    public XMLSnippetRegistryLoader()

### Method Detail

#### load

    public void load​(SnippetRegistry registry)
              throws Exception

Description copied from interface: `ISnippetRegistryLoader`
Register snippets in the given snippet registry.

Specified by:
  `load` in interface `ISnippetRegistryLoader`
Throws:
  `Exception`